import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { FormControl, FormGroup, NgForm, ValidatorFn } from '@angular/forms';
export declare class SdSwitch {
    #private;
    private ref;
    size: 'sm' | 'lg';
    set form(val: NgForm | FormGroup);
    label: string;
    color: 'primary' | 'warn';
    set disabled(val: boolean | '');
    set model(value: any);
    inlineError: string;
    set _inlineError(val: string);
    modelChange: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    formControl: FormControl;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    customInlineErrorValidator(): ValidatorFn;
}
